using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;

namespace ZooContracts.BusinessLogicsContracts
{
    public interface IReserveLogic
    {
        List<ReserveViewModel>? ReadList(ReserveSearchModel? model);
        ReserveViewModel? ReadElement(ReserveSearchModel model);
        bool Create(ReserveBindingModel model);
        bool Update(ReserveBindingModel model);
        bool Delete(ReserveBindingModel model);
    }
}
